zilong136 发表于 2024-3-14 00:55:55

关于圆心角度填充阵列的问题?

怎么优化一下下列代码?

问题:在输入填充角度后,圆会重叠。

;;;6.圆心填充角度等分阵列【qw6】
(defun c:qw6 ()
        (command "arraypolar" (ssget) "" (getpoint "\n中心点:") "I" (getint "\n项目数:") "F" (getorient "\n填充角度:") "AS")
)

xj6019 发表于 2024-3-14 08:26:26

(defun c:NM ()
        (command "arraypolar" (ssget) "" (getpoint "\n中心点:") "I" (getint "\n项目数:") "F" (* (/ (getorient "\n填充角度:") pi) 180.0) "")
        (princ)
)

zilong136 发表于 2024-3-14 12:21:39

xj6019 发表于 2024-3-14 08:26
(defun c:NM ()
        (command "arraypolar" (ssget) "" (getpoint "\n中心点:") "I" (getint "\n项目数:") "F ...

页: [1]
查看完整版本: 关于圆心角度填充阵列的问题?